<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalVersionNo Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetLocalVersionNo Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poPathOrFolderID
  ID of a folder, full file path, or folder path of the local copy of this file (see Remarks)

Obsolete. Superseded by IEdmFile12::GetLocalVersionNo2 .

# Syntax

Visual Basic |
--- | ---

    Function GetLocalVersionNo( _
       ByRef poPathOrFolderID As System.Object _
    ) As System.Integer

C# |
--- | ---

    System.int GetLocalVersionNo(
       ref System.object poPathOrFolderID
    )

C++/CLI |
--- | ---

    System.int GetLocalVersionNo(
    &   System.Object^% poPathOrFolderID
    )

#### Parameters

poPathOrFolderID
  ID of a folder, full file path, or folder path of the local copy of this file (see Remarks)

#### Return Value

Version number; -1 if the local copy does not match any version in the archive

# Example

Get File Information (VB.NET)
Get File Information (C#)
Get Revision Names for Local Version of File (C#)
Get Revision Names for Local Version of File (VB.NET)

# Remarks

If poPathOrFolderID is a folder path, it must be terminated by a backslash ('\').

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2